(function () {
	'use strict';
	var module = angular.module('app', ['onsen']);

	module.filter("sanitize", ['$sce', function ($sce) {
		return function (htmlCode) {
			return $sce.trustAsHtml(htmlCode);
		};
	}]);

	module.factory('svc', function () {});

	module.controller('AppController', function ($scope, $data) {
		$scope.legalResolutionDoc = "";
		ons.ready(function () {
			$scope.copyPDF("www/protocols");
		});
		
		$scope.copyPDF = function (file) {
			asset2sd.copyDir({
				asset_directory: file, // 'www/pdf' 
				destination_directory: "MoHProtocols"
			}, function (result) {}, function () {});
		};
		
		$scope.showDetail = function (index) {
			var selectedItem = $data.items[index];
			$data.selectedItem = selectedItem;
			$scope.navi.pushPage('detail.html', {
				title: selectedItem.title
			});
		};
	});

	module.controller('MasterController', function ($scope, $data) {
		$scope.items = $data.items;

		//		$scope.copyPDF = function (file) {
		//			alert("1.copyPDF: " + file);
		//
		//			asset2sd.copyDir({
		//					asset_directory: file, // 'www/pdf' 
		//					destination_directory: "MoHProtocols"
		//				},
		//				function (result) {
		//					alert("2: " + result);
		//					$scope.openPDF(result);
		//				},
		//				function () {
		//					alert("4: error");
		//				});
		//		};

		$scope.openPDF = function (filename) {

			function fsFail(event) {
				console.log(event.target.error.code);
			}

			window.requestFileSystem = window.requestFileSystem || window.webkitRequestFileSystem;
			window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
				//				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/1.pdf";
				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/" + filename;
				cordova.plugins.fileOpener2.open(
					$scope.fileLoc,
					'application/pdf', {
						error: function (e) {
							console.log('file could not open');
						},
						success: function () {
							console.log('file opened successfully');
						}
					}
				);
			}, fsFail);

		};

		$scope.showDetail = function (index) {
			var selectedItem = $data.items[index];
			$data.selectedItem = selectedItem;
			$scope.navi.pushPage('detail.html', {
				title: selectedItem.title
			});
		};
	});

	module.controller('DetailController', function ($scope, $data) {
		$scope.item = $data.selectedItem;
		$scope.legalResolutionDoc = $scope.item.legal_res;
		
		$scope.openPDF = function (filename) {

			function fsFail(event) {
				console.log(event.target.error.code);
			}

			window.requestFileSystem = window.requestFileSystem || window.webkitRequestFileSystem;
			window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
				//				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/1.pdf";
				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/" + filename + ".pdf";
				cordova.plugins.fileOpener2.open(
					$scope.fileLoc,
					'application/pdf', {
						error: function (e) {
							console.log('file could not open');
						},
						success: function () {
							console.log('file opened successfully');
						}
					}
				);
			}, fsFail);

		};
		
		$scope.getLegalRes = function () {
			function fsFail(event) {
				console.log(event.target.error.code);
			}

			window.requestFileSystem = window.requestFileSystem || window.webkitRequestFileSystem;
			window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fileSystem) {
				//				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/1.pdf";
				$scope.fileLoc = fileSystem.root.toURL() + "MoHProtocols/" + $scope.legalResolutionDoc+".pdf";
				cordova.plugins.fileOpener2.open(
					$scope.fileLoc,
					'application/pdf', {
						error: function (e) {
							console.log('file could not open');
						},
						success: function () {
							console.log('file opened successfully');
						}
					}
				);
			}, fsFail);
		};
	});

	module.factory('$data', function () {
		var data = [[], {}];

		data.items = [
			{
				index: 0,
				title: 'Obtetricia y Ginecologia',
				label: 'go',
				icon: 'icon/kishore.png',
				topics: [{
						name: "Protocolo para la prevencion y el manejo de la hemorragia posparto primaria",
						pdf: "go/1_HEMORRAGIA POSPARTO PRIMARIA"
				},
					{
						name: "Protocolo de atencion del embarazo ectopico",
						pdf: "go/2_EMBARAZO ECTOPICO"
				},
					{
						name: "Protocolo de atencion de manejo del aborto espontaneo",
						pdf: "go/3_ABORTO ESPONTANEO"
				},
					{
						name: "Protocolo de atencion de diagnostico y manejo del desprendimiento prematuro de placenta",
						pdf: "go/4_DESPRENDIMIENTO PREMATURO"
				},
					{
						name: "Protocolo de atencion para la prevencion y tratamiento de la hipertension del embarazo",
						pdf: "go/5_HIPERTENSION DEL EMBARAZO"
				},
					{
						name: "Protocolo de atencion durante el parto normal",
						pdf: "go/6_PARTO NORMAL"
				},
					{
						name: "Guia Zikav Embarazo Final",
						pdf: "go/7_GUIA ZIKAV EMBARAZO FINAL"
				},
					{
						name: "Guia alimentaria de la embarazada x pag",
						pdf: "go/8_Guia alimentaria de la embarazada x pag"
				}],
				legal_res: 'legal_res/go'
          },
			{
				index: 1,
				title: 'Salud Pública',
				label: 'salud_pública',
				icon: 'icon/skin.png',
				topics: [{
						name: "Protocolo de atencion de diagnostico y tratamiento de la tuberculosis",
						pdf: "salud_publica/1_TUBERCULOSIS"
				},
					{
						name: "Protocolo de prevencion y atencion a personas agredidas por animales transmisores del virus de la rabia",
						pdf: "salud_publica/2_VIRUS DE LA RABIA"
				},
					{
						name: "Protocolo de atencion en casos sospechosos de enfermedad por el virus del ebola",
						pdf: "salud_publica/3_VIRUS DEL EBOLA"
				},
					{
						name: "Dengue Guia De Manejo Clinico",
						pdf: "salud_publica/4_DENGUE GUIA DE MANEJO CLINICO"
				}],
				legal_res: 'legal_res/salud_publica'
          },
			{
				index: 2,
				title: 'Cirugía',
				label: 'cirugía',
				icon: 'icon/menstruation.png',
				topics: [{
						name: "Protocolo de atencion quirurgica de apendicitis aguda",
						pdf: "cirugia/1_APENDICITIS AGUDA"
				},
					{
						name: "Protocolo de atencion quirurgica de colelitiasis",
						pdf: "cirugia/2_COLELITIASIS"
				},
					{
						name: "Protocolo de atencion quirurgica de bocio y tiroide",
						pdf: "cirugia/3_BOCIO TIROIDEO"
				},
					{
						name: "Protocolo de atencion quirurgica para cierre de colostomia",
						pdf: "cirugia/4_COLOSTOMIA"
				},
					{
						name: "Protocolo de atencion quirurgica para hernia inguinal",
						pdf: "cirugia/5_HERNIA INGUINAL"
				},
					{
						name: "Guía Técnica Seguridad Cirugía",
						pdf: "cirugia/6_Guia Tecnica Seguridad Cirugia"
				}],
				legal_res: 'legal_res/cirugia'
          },
			{
				index: 3,
				title: 'Enfermería',
				label: 'enfermería',
				icon: 'icon/sex.png',
				topics: [{
						name: "Protocolo De Atención De Enfermería Para La Seguridad En Terapia Nutricional Especializada",
						pdf: "enfermeria/1_TERAPIA NUTRICIONAL"
				},
					{
						name: "Protocolo De Atención De Enfermería Para La Valoración Y Manejo Del Dolor Del Paciente Hospitalizado",
						pdf: "enfermeria/2_MANEJO DEL DOLOR"
				},
					{
						name: "Protocolo De Atención De Enfermería Para La Prevención De Bacteremias Asociadas A La Inserción, Mantenimiento Y Retiro De Catéter Periférico Y Venoso Central",
						pdf: "enfermeria/3_RETIRO DE CATETER"
				},
					{
						name: "Protocolo De Enfermería Para Esterilización De Equipos Y Material Quirúrgico",
						pdf: "enfermeria/4_MATERIAL QUIRURGICO"
				},
					{
						name: "Protocolo De Atención De Enfermería Para Laprevención De Caída En El Adulto Mayor Hospitalizado",
						pdf: "enfermeria/5_PREVENCION DE CAIDA"
				},
					{
						name: "Protocolo De Atención De Enfermería Para La Prevención Y Cuidado De Úlceras Por Presión",
						pdf: "enfermeria/6_ULCERAS POR PRESION"
				},
					{
						name: "Protocolo De Enfermería Para La Promoción De Lactancia Materna",
						pdf: "enfermeria/7_LACTANCIA MATERNA"
				}],
				legal_res: 'legal_res/enfermeria'
          },
			{
				index: 4,
				title: 'Gastroenterología',
				label: 'gastroenterología',
				icon: 'icon/health.png',
				topics: [{
						name: "Protocolo de atencion de diagnostico y manejo de pancreatitis aguda",
						pdf: "gastro/1_PANCREATITIS AGUDA"
				},
					{
						name: "Protocolo diagnostico y terapeutico de la diarrea cronica",
						pdf: "gastro/2_DIARREA CRONICA"
				},
					{
						name: "Protocolo de tratamiento de hepatitis cronica por virus C",
						pdf: "gastro/3_TRATAMIENTO DE HEPATITIS"
				},
					{
						name: "Protocolo de manejo de la enfermedad celiaca",
						pdf: "gastro/4_ENFERMEDAD CELIACA"
				},
					{
						name: "Protocolo de diagnostico y manejo del sindrome diarreico agudo",
						pdf: "gastro/5_DIARREICO AGUDO"
				},
					{
						name: "Protocolo de atencion de diagnostico y manejo de sangrado digestivo alto no viceral",
						pdf: "gastro/6_SANGRADO DIGESTIVO"
				}],
				legal_res: 'legal_res/gastro'
          },
			{
				index: 5,
				title: 'Medicina Interna',
				label: 'medicina_interna',
				icon: 'icon/nutrition.png',
				topics: [{
						name: "Hormona Del Crecimiento",
						pdf: "medicina_interna/1_HORMONA DEL CRECIMIENTO"
				},
					{
						name: "Esclerosis multiple",
						pdf: "medicina_interna/2_ESCLEROSIS MULTIPLE"
				},
					{
						name: "Cancer de mama",
						pdf: "medicina_interna/3_CANCER DE MAMA"
				},
					{
						name: "Urgencias psiquiatricas",
						pdf: "medicina_interna/4_URGENCIAS PSIQUIATRICAS"
				},
					{
						name: "Trastornos depresivos",
						pdf: "medicina_interna/5_TRASTORNOS DEPRESIVOS"
				},
					{
						name: "Sustancias psicoactivas",
						pdf: "medicina_interna/6_SUSTANCIAS PSICOACTIVAS"
				},
					{
						name: "Esquizofrenias",
						pdf: "medicina_interna/7_ESQUIZOFRENIAS"
				},
					{
						name: "Trastorno bipolar",
						pdf: "medicina_interna/8_TRASTORNO BIPOLAR"
				},
					{
						name: "Trasplante",
						pdf: "medicina_interna/9_TRASPLANTE"
				},
					{
						name: "Lupus eritematoso",
						pdf: "medicina_interna/10_LUPUS ERITEMATOSO"
				},
					{
						name: "Artritis reumatoide",
						pdf: "medicina_interna/11_ARTRITIS REUMATOIDE"
				}],
				legal_res: 'legal_res/medicina_interna'
          },
			{
				index: 6,
				title: 'Pediatría',
				label: 'pediatría',
				icon: 'icon/pregnancy.png',
				topics: [{
						name: "Protocolo de atencion de neumonia en niños y niñas mayores de 2 meses",
						pdf: "pediatria/1_NEUMONIA EN NINOS Y NINAS"
				},
					{
						name: "Protocolo de atencion al recien nacido con sindrome de dificultad respiratoria",
						pdf: "pediatria/2_DIFICULTAD RESPIRATORIA"
				},
					{
						name: "Protocolo de atencion para el tratamiento de la sepsis neonatal",
						pdf: "pediatria/3_SEPSIS NEONATAL"
				},
					{
						name: "Protocolo de atencion a niñas y niños con sepsis grave y choque septico",
						pdf: "pediatria/4_CHOQUE SEPTICO"
				},
					{
						name: "Protocolo de atencion a niños y niñas con enfermedad diarreica aguda",
						pdf: "pediatria/5_DIARREICA AGUDA"
				},
					{
						name: "Guia Atencion Pediatrica 2015",
						pdf: "pediatria/6_Guia Atencion Pediatrica 2015"
				}],
				legal_res: 'legal_res/pediatria'
          }
      ];

		return data;
	});
})();
